import 'package:go_router/go_router.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_components_example/components/custom_app_bar.dart';
import 'package:wyatt_ui_components_example/components/custom_bottom_bar.dart';
import 'package:wyatt_ui_components_example/components/custom_error_widget.dart';
import 'package:wyatt_ui_components_example/components/custom_loader_widget.dart';
import 'package:wyatt_ui_components_example/components/second_custom_app_bar.dart';

class AppThemeComponent {
  static ComponentThemeData get components => ComponentThemeData.raw(
        topAppBar: $TopAppBarMultiProxy.multi(
          (context) => switch (GoRouter.of(context).location) {
            '/home' => const CustomAppBar(),
            '/home/secondary' => const SecondCustomAppBar(),
            _ => const CustomAppBar(),
          },
        ),
        bottomNavigationBar: const CustomBottomNavigationBar(),
        error: const CustomErrorWidget(),
        loader: const CustomLoaderWidget(),
      );
}
